For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

List Consumer Addresses V 2

GET
https://host.com/v2/consumers/:consumer_id/addresses/
GET
/v2/consumers/:consumer_id/addresses/
$curl https://host.com/v2/consumers/consumer_id/addresses/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 123,
3 "results": [
4 {
5 "id": 1,
6 "consumer": 1,
7 "type": "BILLING",
8 "address_line1": "string",
9 "address_line2": "string",
10 "city": "string",
11 "state": "AL",
12 "country": "AF",
13 "zip": "string",
14 "lat": 1.1,
15 "lng": 1.1
16 }
17 ],
18 "next": "http://api.example.org/accounts/?page=4",
19 "previous": "http://api.example.org/accounts/?page=2"
20}
Retrieves a list of addresses for the consumer.
Was this page helpful?
Previous

Create Address V 2

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
searchstringOptional
A search term.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"